Package org.eclipse.cdt.core.settings.model

## Class MultiItemsHolder

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.MultiItemsHolder

All Implemented Interfaces:
  `ICMultiItemsHolder`

Direct Known Subclasses:
  `MultiLanguageSetting`

    public abstract class MultiItemsHolder
    extends Object
    implements ICMultiItemsHolder

### Field Summary

Fields
`protected static boolean` `DEBUG`

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICMultiItemsHolder

`EMPTY_STR`

### Constructor Summary

Constructors
`MultiItemsHolder()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static ICConfigurationDescription` `createCDescription​(ICConfigurationDescription[] rds)` This method is put here to prevent UI from accessing constructors in "internal" dirs.
`static ICResourceDescription` `createRDescription​(ICResourceDescription[] rds)` This method is put here to prevent UI from accessing constructors in "internal" dirs.
`abstract Object[]` `getItems()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEBUG

    protected static final boolean DEBUG

Since:
  5.2
See Also:
  Constant Field Values

### Constructor Detail

#### MultiItemsHolder

    public MultiItemsHolder()

### Method Detail

#### getItems

    public abstract Object[] getItems()

Specified by:
  `getItems` in interface `ICMultiItemsHolder`
Returns:
  array of items which it holds

#### createCDescription

    public static ICConfigurationDescription createCDescription​(ICConfigurationDescription[] rds)

This method is put here to prevent UI from accessing constructors in "internal" dirs. Creates multiple configuration description. If there's 1 cfg.desc in array, it's returned itself.

Parameters:
  `rds` - - array of cfg.descs
Returns:
  multiple cfg.description or single cfg.desc.

#### createRDescription

    public static ICResourceDescription createRDescription​(ICResourceDescription[] rds)

This method is put here to prevent UI from accessing constructors in "internal" dirs. Creates multiple resource description, it can be either MultiFile or MultiFolder. If there's 1 description in array, it's returned itself.

Parameters:
  `rds` - - array of resource descs
Returns:
  multiple res.description or single res.desc.